unit Unit1;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  Windows, ActiveX, Classes, ComObj, cypher_TLB, StdVcl;

type
  TDLLExporter = class(TTypedComObject, IDLLExporter)
  protected
    function Encrypt_Encode(Str, Chave: OleVariant): OleVariant; stdcall;
    function Decrypt_Decode(Str, Chave: OleVariant): OleVariant; stdcall;
    function Multiplica(Numero: Integer): Integer; stdcall;
    function IsOK: HResult; stdcall;
  end;

implementation

uses ComServ, helper;

{ TDLLExporter }

function TDLLExporter.Decrypt_Decode(Str, Chave: OleVariant): OleVariant;
begin
  result:=helper.Decrypt_Decode(Str, Chave);
end;

function TDLLExporter.Encrypt_Encode(Str, Chave: OleVariant): OleVariant;
begin
  result:=helper.Encrypt_Encode(Str, Chave);
end;

function TDLLExporter.Multiplica(Numero: Integer): Integer;
begin
  result:=helper.Multiplica(Numero);
end;

function TDLLExporter.IsOK: HResult;
begin
  result:= 0;
end;

initialization
  TTypedComObjectFactory.Create(ComServer, TDLLExporter, Class_DLLExporter,
    ciMultiInstance, tmApartment);

end.
